Uploaded image for project: 'Zeppelin'
  1. Zeppelin
  2. ZEPPELIN-3997

Upgrade Zeppelin interpreter support for Flink 1.7

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Interpreters
    • Labels:
    • Flags:
      Important

      Description

      Zeppelins Flink Interpreter uses the Flink JobManagers RPC port to send jobs. This is outdated since Flink 1.5 and because of this Zeppelin only supports Flink to max version 1.5. Please upgrade Zeppelins Flink interpreter to latest stable release which is at the time Flink 1.7. The latest interpreter should use Flinks REST API to send jobs and be able to run jobs via Flink on YARN.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              ahmfaizan Faizan Ahmed
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: